Re: [Freeipa-users] Change Password problems (Unsupported Version)

2011-09-28 Thread Goff, Raal
On 28/09/2011, at 12:27 AM, Nalin Dahyabhai wrote: Additionally, it seems some users can reset their passwords, but the error still appears in the logs, and on the client software: Sep 27 15:08:52 ipa1 kpasswd[2630]: Unsupported version Sep 27 15:09:23 ipa1 kpasswd[2633]: Unsupported

Re: [Freeipa-users] Change Password problems (Unsupported Version)

2011-09-28 Thread Nalin Dahyabhai
On Wed, Sep 28, 2011 at 02:49:02PM +0800, Goff, Raal wrote: The only difference I know about is that the users who CAN change their passwords have not got an expired password (so they can login and use kpasswd from the shell), whereas those who CANNOT change their password need to reset it

Re: [Freeipa-users] Change Password problems (Unsupported Version)

2011-09-28 Thread Jakub Hrozek
On Wed, Sep 28, 2011 at 01:59:36PM -0400, Nalin Dahyabhai wrote: On Wed, Sep 28, 2011 at 02:49:02PM +0800, Goff, Raal wrote: The only difference I know about is that the users who CAN change their passwords have not got an expired password (so they can login and use kpasswd from the

Re: [Freeipa-users] Change Password problems (Unsupported Version)

2011-09-28 Thread Nalin Dahyabhai
On Wed, Sep 28, 2011 at 09:38:33PM +0200, Jakub Hrozek wrote: He said he was updating the passwords with kpasswd, which should bypass the pam stack and talk to the kpasswd deamon directly, right? The users who can change their passwords can log in and do so with kpasswd, but the ones who can't

Re: [Freeipa-users] Change Password problems (Unsupported Version)

2011-09-27 Thread Nalin Dahyabhai
On Tue, Sep 27, 2011 at 03:24:24PM +0800, Goff, Raal wrote: My IPA 2.0 master-slave setup has been working fine up until this week when users started getting problems updating their password due to expiry. Users get the following error when using kpasswd to update their passwords: kinit: